using CFX;
using Sln.Iot.Serilog;

namespace Sln.Iot.CFX.Event
{
    /// <summary>
    /// 终端节点断连事件
    /// </summary>
    public class EndpointShuttingDownEvent
    {
        /// <summary>
        /// 数据封装处理
        /// </summary>
        /// <returns></returns>
        public CFXMessage Handle(string cfxHandle)
        {
            CFXMessage eve = null;
            try
            {
                eve = new EndpointShuttingDown()
                {
                    CFXHandle = cfxHandle,
                };
            }
            catch (Exception e)
            {
                SerilogHelper.Instance.Error("终端节点连接事件数据封装异常", e);
            }
            return eve;
        }
    }
}
